Skip to content

Get bookingorder guestdata for one guest

GET
/v1/bookingorders/{bookingorder_id}/guestdata/{guest_id}

Get the current guest data for a specific bookingorder and specific guest and what conditions apply.

Authorizations

api_key
Type
API Key (header: X-Api-Key)

Parameters

Path Parameters

bookingorder_id*

XS2event ID of the Bookingorder

Type
string
Required
guest_id*

XS2event ID of the guest

Type
string
Required

Query Parameters

sorting
Type
string
Default
null
include_conditions

Include validation conditions?

Type
boolean
Examplefalse
Default
false
country_hint

Hint for country code

Type
string
Example"NLD"

Responses

OK

application/json
JSON
{
  
"first_name": "John",
  
"last_name": "Doe",
  
"passport_number": "ABC123456",
  
"contact_email": "user@example.com",
  
"contact_phone": "+31123456789",
  
"lead_guest": true,
  
"date_of_birth": "1991-01-30",
  
"gender": "male",
  
"country_of_residence": "NLD",
  
"street_name": "Hereweg 95",
  
"additional_street_name": "e",
  
"city": "Groningen",
  
"zip": "9721AA",
  
"province": "Groningen",
  
"guest_id": null,
  
"conditions": {
  
  
"additionalProperties": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples